Skip to main content
GET
/
v1
/
markets
Get Markets
curl --request GET \
  --url https://gateway.polymarket.us/v1/markets
{
  "markets": [
    {
      "id": "<string>",
      "question": "<string>",
      "slug": "<string>",
      "endDate": "<string>",
      "category": "<string>",
      "startDate": "<string>",
      "image": "<string>",
      "description": "<string>",
      "active": true,
      "marketType": "<string>",
      "closed": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archived": true,
      "orderPriceMinTickSize": 123,
      "gameStartTime": "<string>",
      "bestBid": 123,
      "bestAsk": 123,
      "manualActivation": true,
      "sportsMarketType": "<string>",
      "line": 123,
      "marketSides": [
        {
          "id": "<string>",
          "marketSideType": "MARKET_SIDE_TYPE_ERC1155",
          "identifier": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "description": "<string>",
          "price": "<string>",
          "marketId": 123,
          "long": true,
          "teamId": 123,
          "team": {
            "id": 123,
            "name": "<string>",
            "abbreviation": "<string>",
            "league": "<string>",
            "record": "<string>",
            "logo": "<string>",
            "alias": "<string>",
            "safeName": "<string>",
            "homeIcon": "<string>",
            "awayIcon": "<string>",
            "colorPrimary": "<string>",
            "providerId": 123,
            "ordering": "<string>",
            "longIcon": "<string>",
            "shortIcon": "<string>",
            "displayAbbreviation": "<string>",
            "ranking": "<string>",
            "conference": "<string>",
            "providerIds": [
              {
                "provider": "PROVIDER_SPORTSDATAIO",
                "providerId": "<string>"
              }
            ],
            "longIconDark": "<string>",
            "shortIconDark": "<string>"
          },
          "participantId": "<string>"
        }
      ],
      "outcomes": "<string>",
      "outcomePrices": "<string>",
      "ep3Status": "<string>",
      "sportsMarketTypeV2": "SPORTS_MARKET_TYPE_MONEYLINE",
      "hidden": true,
      "tags": [
        {
          "id": "<string>",
          "label": "<string>",
          "slug": "<string>",
          "forceShow": true,
          "publishedAt": "<string>",
          "createdBy": 123,
          "updatedBy": 123,
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "forceHide": true,
          "isCarousel": true,
          "image": "<string>",
          "tradable": true,
          "subtags": [
            {}
          ]
        }
      ],
      "title": "<string>",
      "subtitle": "<string>",
      "color": "<string>",
      "darkColor": "<string>",
      "subjectId": 123,
      "subject": {
        "id": 123,
        "name": "<string>",
        "displayName": "<string>",
        "description": "<string>",
        "subjectType": "<string>",
        "image": "<string>",
        "color": "<string>",
        "darkColor": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    }
  ]
}

Query Parameters

limit
integer<int32>

Page size

offset
integer<int32>

Page offset

orderBy
string[]

Order by fields

orderDirection
string

Order direction

id
integer<int32>[]

Market IDs

slug
string[]

Market slugs

archived
boolean

Whether market is archived

active
boolean

Whether market is active

closed
boolean

Whether market is closed

volumeNumMin
number<double>

Minimum volume number

volumeNumMax
number<double>

Maximum volume number

startDateMin
string

Minimum start date

startDateMax
string

Maximum start date

endDateMin
string

Minimum end date

endDateMax
string

Maximum end date

Whether related tags are enabled

gameId
string

Game ID

sportsMarketTypes
enum<string>[]

Sports market types

Available options:
SPORTS_MARKET_TYPE_MONEYLINE,
SPORTS_MARKET_TYPE_SPREAD,
SPORTS_MARKET_TYPE_TOTAL,
SPORTS_MARKET_TYPE_PROP,
SPORTS_MARKET_TYPE_FUTURE,
SPORTS_MARKET_TYPE_DRAWABLE_OUTCOME
questionIds
string[]

Question IDs

includeTag
boolean

Whether to include tag

categories
string[]

Categories

marketTypes
string[]

Market types

includeHidden
boolean

Include hidden markets (default: false)

tagIds
integer<int32>[]

Tag IDs

Response

List of markets

Response containing list of markets

markets
object[]

List of markets